package net.forwardfire.vasc.frontend.cxf.data;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name = "VascEntryExecuteResponseData")
@XmlAccessorType(XmlAccessType.FIELD)
public class VascEntryExecuteResponseData {

	private Integer rowSize = null;
	
	@XmlElement(nillable = false, name = "rowData")
	private List<VascEntryExecuteResponseDataRow> rowData = null;
	
	@XmlAccessorType(XmlAccessType.FIELD)
	@XmlType(name = "VascEntryExecuteResponseDataRow")
	static class VascEntryExecuteResponseDataRow {
		@XmlElement(required = true, nillable = false)
		String key;
		String value;
		/**
		 * @return the key
		 */
		public String getKey() {
			return key;
		}
		/**
		 * @param key the key to set
		 */
		public void setKey(String key) {
			this.key = key;
		}
		/**
		 * @return the value
		 */
		public String getValue() {
			return value;
		}
		/**
		 * @param value the value to set
		 */
		public void setValue(String value) {
			this.value = value;
		}

	}
	
	
	/**
	 * @return the rowSize
	 */
	public Integer getRowSize() {
		return rowSize;
	}
	
	/**
	 * @param rowSize the rowSize to set
	 */
	public void setRowSize(Integer rowSize) {
		this.rowSize = rowSize;
	}
	
	/**
	 * @return the rowData
	 */
	public List<VascEntryExecuteResponseDataRow> getRowData() {
		return rowData;
	}
	
	/**
	 * @param rowData the rowData to set
	 */
	public void setRowData(List<VascEntryExecuteResponseDataRow> rowData) {
		this.rowData = rowData;
	}
	
	
}
