package net.forwardfire.vasc.backend.metamodel.crud;

import org.eobjects.metamodel.data.Row;
import org.eobjects.metamodel.data.Style;

/**
 * RowLocal is the set version of Row interface.
 * 
 * Currently only needed setStyle to make duplicate code in Row.getSubSelection(SelectItem[] selectItems) abstract so impl can do one liner.
 * other option is move all get/setStyle to one RowStyle interface as that data is almost always locally implemented.
 * 
 * @author Willem Cazander
 * @version 1.0 May 23, 2012
 */
public interface RowLocal extends Row {

	void setStyle(int index,Style style);
}
