/*
 * Copyright 2007-2012 forwardfire.net All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided
 * that the following conditions are met:
 * 
 * * Redistributions of source code must retain the above copyright notice, this list of conditions and the
 *   following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 *   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package net.forwardfire.vasc.core.base;

/**
 * VascBaseIdRoleCrudLocal
 * 
 * @author Willem Cazander
 * @version 1.0 Jun 2, 2012
 */
public interface VascBaseIdRoleCrudLocal extends VascBaseIdRoleCrud,VascBaseIdRoleViewLocal,VascBaseIdLocal {
	
	/**
	 * @param create the create to set
	 */
	void setCreate(Boolean create);
	
	/**
	 * @param edit the edit to set
	 */
	void setEdit(Boolean edit);
	
	/**
	 * @param editReadOnly the editReadOnly to set
	 */
	void setEditReadOnly(Boolean editReadOnly);
	
	/**
	 * @param list the list to set
	 */
	void setList(Boolean list);
	
	/**
	 * @param rolesCreate the rolesCreate to set
	 */
	void setRolesCreate(String rolesCreate);
	
	/**
	 * @param rolesEdit the rolesEdit to set
	 */
	void setRolesEdit(String rolesEdit);
	
	/**
	 * @param rolesEditReadOnly the rolesEditReadOnly to set
	 */
	void setRolesEditReadOnly(String rolesEditReadOnly);
	
	/**
	 * @param rolesList the rolesList to set
	 */
	void setRolesList(String rolesList);
}
