package net.forwardfire.vasc.frontend.cxf.data;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;


@XmlRootElement(name = "VascEntryExecuteResponse")
@XmlAccessorType(XmlAccessType.FIELD)
public class VascEntryExecuteResponse {

	private Integer page = null;
	private Integer pageSize = null;
	private Integer pageSizeTotal = null;
	private List<VascEntryExecuteResponseData> data = null;
	
	/**
	 * @return the page
	 */
	public Integer getPage() {
		return page;
	}
	
	/**
	 * @param page the page to set
	 */
	public void setPage(Integer page) {
		this.page = page;
	}
	
	/**
	 * @return the pageSize
	 */
	public Integer getPageSize() {
		return pageSize;
	}
	
	/**
	 * @param pageSize the pageSize to set
	 */
	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
	
	/**
	 * @return the pageSizeTotal
	 */
	public Integer getPageSizeTotal() {
		return pageSizeTotal;
	}
	
	/**
	 * @param pageSizeTotal the pageSizeTotal to set
	 */
	public void setPageSizeTotal(Integer pageSizeTotal) {
		this.pageSizeTotal = pageSizeTotal;
	}
	
	/**
	 * @return the data
	 */
	public List<VascEntryExecuteResponseData> getData() {
		return data;
	}
	
	/**
	 * @param data the data to set
	 */
	public void setData(List<VascEntryExecuteResponseData> data) {
		this.data = data;
	}
}
