package net.forwardfire.vasc.frontend.swing;

import javax.swing.JPanel;

import net.forwardfire.vasc.core.VascEntry;
import net.forwardfire.vasc.core.VascException;

/**
 * SwingPanelIntegration provides the JPanels to vasc to integrate into application panel handing.
 * 
 * @author Willem Cazander
 * @version 1.0 Feb 6, 2012
 */
public interface SwingPanelIntegration {

	void createNewVascView(VascEntry entry) throws VascException;
	JPanel initVascView();
	void openVascView(JPanel pane,VascEntry entry);
	void closeVascView(JPanel pane,VascEntry entry);
}
