/*
 * Copyright 2007-2012 forwardfire.net All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided
 * that the following conditions are met:
 * 
 * * Redistributions of source code must retain the above copyright notice, this list of conditions and the
 *   following disclaimer.
 * * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 *   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
 * THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package	net.forwardfire.vasc.lib.jr4o.x4o;

import org.x4o.xml.element.Element;

import net.sf.jasperreports.engine.JRExpression;
import net.sf.jasperreports.engine.design.JRDesignTextField;
import net.sf.jasperreports.engine.design.JasperDesign;
import net.sf.jasperreports.engine.type.EvaluationTimeEnum;
import net.sf.jasperreports.engine.type.HorizontalAlignEnum;
import net.sf.jasperreports.engine.type.ModeEnum;
import net.sf.jasperreports.engine.type.OrientationEnum;
import net.sf.jasperreports.engine.type.PositionTypeEnum;
import net.sf.jasperreports.engine.type.VerticalAlignEnum;


/**
 * JRExpressionConverter
 *
 * @author Willem Cazander
 * @version 1.0 Aug 31, 2007
 */
public class JRExpressionConverter{

	public void doConvertParameter(Element arg0, Object value){
		String v = value.toString();

		JRDesignTextField f= new JRDesignTextField();
		
		f.setEvaluationTime(EvaluationTimeEnum.GROUP);
		f.setHorizontalAlignment(HorizontalAlignEnum.CENTER);
		f.setVerticalAlignment(VerticalAlignEnum.BOTTOM);
		f.setPositionType(PositionTypeEnum.FIX_RELATIVE_TO_BOTTOM);
		f.setMode(ModeEnum.OPAQUE);
		
		JasperDesign d = new JasperDesign();
		d.setOrientation(OrientationEnum.LANDSCAPE);
		
		/*
		if ("EVALUATION_TIME_AUTO".equals(v)) {
			return JRExpression.EVALUATION_TIME_AUTO;
		}
		if ("EVALUATION_TIME_BAND".equals(v)) {
			return JRExpression.EVALUATION_TIME_BAND;
		}
		if ("EVALUATION_TIME_COLUMN".equals(v)) {
			return JRExpression.EVALUATION_TIME_COLUMN;
		}
		if ("EVALUATION_TIME_GROUP".equals(v)) {
			return JRExpression.EVALUATION_TIME_GROUP;
		}
		if ("EVALUATION_TIME_NOW".equals(v)) {
			return JRExpression.EVALUATION_TIME_NOW;
		}
		if ("EVALUATION_TIME_PAGE".equals(v)) {
			return JRExpression.EVALUATION_TIME_PAGE;
		}
		if ("EVALUATION_TIME_REPORT".equals(v)) {
			return JRExpression.EVALUATION_TIME_REPORT;
		}
		*/
	}
	
}