package net.forwardfire.vasc.xpql;

import net.forwardfire.vasc.xpql.query.Query;

import org.x4o.xml.io.X4OReader;

import junit.framework.TestCase;

public class XPQLDriverTest extends TestCase {

	public void testReader() throws Exception {
		XPQLDriver driver = XPQLDriver.getInstance();
		X4OReader<QueryStore> reader = driver.createReader();
		QueryStore store = reader.readResource("xpql/tests.xml");
		assertNotNull(store);
		assertFalse(store.getQueryNames().isEmpty());
		for (Query q:store.getQueries()) {
			System.out.println("Name: "+q.getName());
			System.out.println(q.toSQL(q));
		}
	}
}
